MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
FfmpegBuffer Class Reference

`#include <Buffer.hxx>`

## Public Member Functions
| FfmpegBuffer ()
| ~FfmpegBuffer ()
gcc_malloc void * | Get (size_t min_size)
template<typename T >
T * | GetT (size_t n)

## Detailed Description

Definition at line 43 of file Buffer.hxx.

## Constructor & Destructor Documentation

FfmpegBuffer::FfmpegBuffer | ( |  | ) |
| inline

Definition at line 48 of file Buffer.hxx.

FfmpegBuffer::~FfmpegBuffer | ( |  | ) |
| inline

Definition at line 50 of file Buffer.hxx.

## Member Function Documentation

gcc_malloc void* FfmpegBuffer::Get | ( | size_t | min_size | ) |
| inline

Definition at line 55 of file Buffer.hxx.

template<typename T >

T* FfmpegBuffer::GetT | ( | size_t | n | ) |
| inline

Definition at line 68 of file Buffer.hxx.

The documentation for this class was generated from the following file:

- lib/ffmpeg/Buffer.hxx